Bug 682587 - [abrt] gthumb-2.12.2-1.fc14.1: read_metadata_thread: Process /usr/bin/gthumb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gthumb-2.12.2-1.fc14.1: read_metadata_thread: Process /usr/bin/gthumb ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:de0061aba9fc82fa20a021d3c8d...
: 653168 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-06 22:39 UTC by Peter Janes
Modified: 2012-08-16 21:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:25:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (79.74 KB, text/plain)
2011-03-06 22:39 UTC, Peter Janes
no flags Details

Description Peter Janes 2011-03-06 22:39:45 UTC
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 81658 bytes
cmdline: gthumb world-theatre-day-2011-2.jpg world-theatre-day-2011-2.png world-theatre-day-2011-2.svg world-theatre-day-2011.png world-theatre-day-2011-small.jpg world-theatre-day-2011.svg
comment: Crash seems to have come from SVG file, which was created with Inkscape.
component: gthumb
Attached file: coredump, 300728320 bytes
crash_function: read_metadata_thread
executable: /usr/bin/gthumb
kernel: 2.6.35.11-83.fc14.x86_64
package: gthumb-2.12.2-1.fc14.1
rating: 4
reason: Process /usr/bin/gthumb was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1299363192
uid: 500

How to reproduce
-----
1. Opened a combination of JPG, PNG and SVG files.
2.
3.

Comment 1 Peter Janes 2011-03-06 22:39:48 UTC
Created attachment 482558 [details]
File: backtrace

Comment 2 Christian Krause 2011-03-06 23:35:29 UTC
Unfortunately I can't reproduce the problem so far, display of svg files (also created with inkscape) works without any problems.

1. Can you reproduce the problem all the time?

2. Please can you narrow down the issue to just one single file?

3. Could you make this file available for download (or attach it to the bug report if it is small enough)?

Thanks!

Comment 3 Peter Janes 2011-03-07 03:07:25 UTC
I can't reproduce the exact crash, but I've managed to create five more (with three different backtraces) in similar conditions; they're in ABRT, so I can submit them if you'd like.  Two (each duplicated twice) are in g_file_info_set_attribute_string, gfileinfo.c:1222; the third is in a strcmp in assembly, called by gnome_desktop_thumbnail_factory_save_thumbnail, gnome-desktop-thumbnail.c:1042.

Unfortunately I can't replicate the bug at all with the files isolated in a directory.  The five crashes I've created since this report have all happened while I was closing one of the windows that was opened.  Both of these make me think that the crashes may be happening while gthumb is creating thumbnails for other files in the directory they're in, which contains about 3GB of various multimedia (images, PDFs, WAVs and Audacity projects, MP3s, etc.) across 700 files.

Comment 4 abrt-bot 2012-03-20 16:38:05 UTC
*** Bug 653168 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2012-08-16 21:25:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.